#!/bin/bash

# Download rendered samples for a specified map style
# Script license: Public domain/Creative Commons Zero (CC0)

MAP=$1
FOLDER="public_html/img"

SMALL="https://maps.netsyms.net/styles/$MAP/static/-87.621,41.873,15@-220,45/600x600.png"
LARGE="https://maps.netsyms.net/styles/$MAP/static/-65,0,2/600x600.png"
RURAL="https://maps.netsyms.net/styles/$MAP/static/-111.9711,46.9695,10.2@-20.8/600x600.png"

wget -O $FOLDER/$MAP-small.png $SMALL
wget -O $FOLDER/$MAP-large.png $LARGE
wget -O $FOLDER/$MAP-rural.png $RURAL